Index: branches/Async/HeuristicLab.Data/3.3/BoolArray.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/BoolArray.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/BoolArray.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/BoolMatrix.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/BoolMatrix.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/BoolMatrix.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/BoolValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/BoolValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/BoolValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/Comparison.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/Comparison.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/Comparison.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/ComparisonType.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/ComparisonType.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/ComparisonType.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/DateTimeValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/DateTimeValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/DateTimeValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/DoubleArray.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/DoubleArray.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/DoubleArray.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/DoubleMatrix.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/DoubleMatrix.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/DoubleMatrix.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/DoubleRange.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/DoubleRange.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/DoubleRange.cs	(revision 15281)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/DoubleValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/DoubleValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/DoubleValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/EnumValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/EnumValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/EnumValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -52,6 +52,4 @@
     private EnumValue(EnumValue<T> original, Cloner cloner)
       : base(original, cloner) {
-      this.value = original.value;
-      this.readOnly = original.readOnly;
     }
 
Index: branches/Async/HeuristicLab.Data/3.3/FormatPatterns.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/FormatPatterns.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/FormatPatterns.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/IntArray.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/IntArray.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/IntArray.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/IntMatrix.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/IntMatrix.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/IntMatrix.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/IntRange.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/IntRange.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/IntRange.cs	(revision 15281)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/IntValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/IntValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/IntValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleArray.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleArray.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleArray.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleMatrix.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleMatrix.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleMatrix.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValueTuple.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValueTuple.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/Interfaces/IStringConvertibleValueTuple.cs	(revision 15281)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/Path Types/DirectoryValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/Path Types/DirectoryValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/Path Types/DirectoryValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/Path Types/FileValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/Path Types/FileValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/Path Types/FileValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/Path Types/PathValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/Path Types/PathValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/Path Types/PathValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/Path Types/TextFileValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/Path Types/TextFileValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/Path Types/TextFileValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/PercentArray.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/PercentArray.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/PercentArray.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/PercentMatrix.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/PercentMatrix.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/PercentMatrix.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/PercentValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/PercentValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/PercentValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/Plugin.cs.frame
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/Plugin.cs.frame	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/Plugin.cs.frame	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Data plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Data", "3.3.13.$WCREV$")]
+  [Plugin("HeuristicLab.Data", "3.3.14.$WCREV$")]
   [PluginFile("HeuristicLab.Data-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
Index: branches/Async/HeuristicLab.Data/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/Properties/AssemblyInfo.cs.frame	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/Properties/AssemblyInfo.cs.frame	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2015 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2016 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.13.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.14.$WCREV$")]
Index: branches/Async/HeuristicLab.Data/3.3/StringArray.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/StringArray.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/StringArray.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/StringConvertibleValueTuple.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/StringConvertibleValueTuple.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/StringConvertibleValueTuple.cs	(revision 15281)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/StringMatrix.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/StringMatrix.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/StringMatrix.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/StringValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/StringValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/StringValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Async/HeuristicLab.Data/3.3/TimeSpanValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/TimeSpanValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/TimeSpanValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +21,5 @@
 
 using System;
+using System.Globalization;
 using System.Text;
 using HeuristicLab.Common;
@@ -52,5 +53,5 @@
     protected virtual bool Validate(string value, out string errorMessage) {
       TimeSpan val;
-      bool valid = TimeSpan.TryParse(value, out val);
+      bool valid = TimeSpan.TryParseExact(value, "c", CultureInfo.CurrentCulture, out val);
       errorMessage = string.Empty;
       if (!valid) {
@@ -64,9 +65,9 @@
     }
     protected virtual string GetValue() {
-      return Value.ToString();
+      return Value.ToString("c");
     }
     protected virtual bool SetValue(string value) {
       TimeSpan val;
-      if (TimeSpan.TryParse(value, out val)) {
+      if (TimeSpan.TryParseExact(value, "c", CultureInfo.CurrentCulture, out val)) {
         Value = val;
         return true;
@@ -74,4 +75,7 @@
         return false;
       }
+    }
+    public override string ToString() {
+      return Value.ToString("c");
     }
 
Index: branches/Async/HeuristicLab.Data/3.3/ValueTypeArray.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/ValueTypeArray.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/ValueTypeArray.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -146,4 +146,9 @@
     }
 
+    public T[] CloneAsArray() {
+      //mkommend: this works because T must be a value type (struct constraint);
+      return (T[])array.Clone();
+    }
+
     public override string ToString() {
       if (array.Length == 0) return "[]";
Index: branches/Async/HeuristicLab.Data/3.3/ValueTypeMatrix.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/ValueTypeMatrix.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/ValueTypeMatrix.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -195,4 +195,22 @@
     }
 
+   
+    public T[,] CloneAsMatrix() {
+      //mkommend: this works because T must be a value type (struct constraint);
+      return (T[,])matrix.Clone();
+    }
+
+    public virtual IEnumerable<T> GetRow(int row) {
+      for (var col = 0; col < Columns; col++) {
+        yield return matrix[row, col];
+      }
+    }
+
+    public virtual IEnumerable<T> GetColumn(int col) {
+      for (var row = 0; row < Rows; row++) {
+        yield return matrix[row, col];
+      }
+    }
+
     public override string ToString() {
       if (matrix.Length == 0) return "[]";
Index: branches/Async/HeuristicLab.Data/3.3/ValueTypeValue.cs
===================================================================
--- branches/Async/HeuristicLab.Data/3.3/ValueTypeValue.cs	(revision 15280)
+++ branches/Async/HeuristicLab.Data/3.3/ValueTypeValue.cs	(revision 15281)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
